API ReferenceAdmin Resource Servers
Update Permission
PATCH
/v1/admin/resource-servers/{rs_id}/permissions/{permission_id}Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
rs_id*Rs Id
Format
uuidpermission_id*Permission Id
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Patch a permission. value is immutable (it's emitted into tokens and
referenced by role bindings); only description is editable.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v1/admin/resource-servers/497f6eca-6276-4993-bfeb-53cbbbba6f08/permissions/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "resource_server_id": "0583ccd6-75d4-420d-8f26-2f752676f8dc", "value": "string", "description": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}